@import url('open.iconic/font/css/open-iconic-bootstrap.min.css');

html, body { font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif; }

html, body {
	display: flex;
	flex-direction: column;
	height: 100%;
	overflow: hidden;
}

.valid.modified:not([type=checkbox]) { outline: 1px solid #26b050; }

.invalid { outline: 1px solid red; }

.validation-message { color: red; }

.button-link { text-decoration: unset; }

#blazor-error-ui {
	background: lightyellow;
	bottom: 0;
	box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
	display: none;
	left: 0;
	padding: 0.6rem 1.25rem 0.7rem 1.25rem;
	position: fixed;
	width: 100%;
	z-index: 1000;
}

#blazor-error-ui .dismiss {
	cursor: pointer;
	position: absolute;
	right: 0.75rem;
	top: 0.5rem;
}

.title {
	display: flex;
	flex-direction: column;
	gap: 0.5rem;
	padding-bottom: 0.625rem;
}

.title.title-secondary {
	color: var(--bs-secondary-color);
	padding-bottom: 0;
	padding-top: 0.313rem;
}

.title-header-text {
	font-size: 2.5rem;
	font-weight: 600;
	letter-spacing: 0rem;
	line-height: 3rem;
	padding: 0.3125rem 0;
}

.title-content-text {
	font-size: 1.75rem;
	font-weight: 400;
	letter-spacing: 0rem;
	line-height: 2.5rem;
}

.main-content {
	align-items: center;
	display: flex;
	height: 100%;
	justify-content: center;
	width: 100%;
}

.block-content {
	display: flex;
	flex-direction: column;
	gap: 0.625rem;
	height: auto;
	max-width: 100%;
	width: 31.25rem;
}


.or {
	align-items: center;
	display: flex;
	flex-direction: row;
}

.or .or-line {
	border-bottom: 1px solid var(--bs-body-color);
	opacity: 0.2;
	width: 100%;
}

.or .or-text {
	color: var(--bs-body-color);
	font-size: 0.75rem;
	line-height: 1.125rem;
	opacity: 0.7;
	padding: 0 0.625rem 0px 0.625rem;
}

.links-area {
	display: flex;
	flex-direction: column;
	gap: 0.625rem;
	padding-top: 0.625rem;
}

.links-container {
	align-items: center;
	display: flex;
	gap: 0.25rem;
	justify-content: center;
}

.links-container .dot {
	background-color: var(--bs-body-color);
	border-radius: 50%;
	height: 0.3125rem;
	margin: 0 0.1875rem;
	opacity: 0.7;
	width: 0.3125rem;
}

.manage-layout {
	display: flex;
	flex-direction: column;
	gap: 0.625rem;
}

.info-message::before {
	background: var(--bs-primary);
	bottom: 0;
	content: '';
	left: 0;
	opacity: 0.15;
	position: absolute;
	right: 0;
	top: 0;
	z-index: -1;
}

.info-message {
	align-items: center;
	display: flex;
	justify-content: center;
	padding: 0.625rem 1rem 0.625rem 1rem;
	position: relative;
}

.info-message.info-panel { margin-bottom: 0.625rem; }

.manage-content {
	display: flex;
	flex-direction: column;
	gap: 0.625rem;
}

.large-input {
	font-size: 1.875rem;
	height: 4.3125rem;
}

.title-content-text-secondary {
	font-size: 1.25rem;
	line-height: 1.75rem;
}

.button-group {
	display: flex;
	flex-direction: row;
	gap: 0.625rem;
}

.confirm-button { margin-top: 0.3125rem; }

.display-desktop { display: block; }

.display-mobile { display: none; }

.icon-external-provider {
	height: 1rem;
	width: 1rem;
}

.icon-google { background-image: url("/images/account/providers/google-logo.svg") }

.icon-facebook { background-image: url("/images/account/providers/facebook-logo.svg") }

.icon-microsoft { background-image: url("/images/account/providers/microsoft-logo.svg") }

.icon-twitter { background-image: url("/images/account/providers/x-logo.svg") }

@media (max-width: 768px) {
	.display-desktop { display: none; }

	.display-mobile { display: block; }
}

.dxbl-checkbox {
	--dxbl-checkbox-check-element-checked-bg: rgb(71, 125, 164);
	--dxbl-checkbox-check-element-checked-hover-bg: rgb(60, 106, 139);
	--dxbl-checkbox-check-element-unchecked-border-color: rgb(71, 125, 164);
	--dxbl-checkbox-check-element-unchecked-hover-border-color: rgb(60, 106, 139);
	--dxbl-checkbox-check-element-checked-border-color: rgb(71, 125, 164);
	--dxbl-checkbox-check-element-checked-hover-border-color: rgb(60, 106, 139);
	--dxbl-checkbox-checked-focus-shadow-color: none;
	--dxbl-checkbox-unchecked-focus-shadow-color: none;
}

.login-page-label .dxbl-text {
	color: #f8f8ff;
}
/*.dxbl-checkbox {
	--dxbl-checkbox-check-element-checked-bg: green;
	--dxbl-checkbox-check-element-checked-hover-bg: hsl(120, 100%, 30%);
	--dxbl-checkbox-check-element-unchecked-border-color: green;
	--dxbl-checkbox-check-element-unchecked-hover-border-color: hsl(120, 100%, 30%);
	--dxbl-checkbox-check-element-checked-border-color: green;
	--dxbl-checkbox-check-element-checked-hover-border-color: hsl(120, 100%, 30%);
	--dxbl-checkbox-checked-focus-shadow-color: none;
	--dxbl-checkbox-unchecked-focus-shadow-color: none;
}
*/
.page {
	--bs-heading-color: ghostwhite;
}